Edit a field group

The method allows you to edit field group in an account by the group ID.

Limitations
The method is available for administrator users only.

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Response parameters
The method returns an object of field group

ParameterData typeDescription
idintField group ID
namestringField group name
sortstringField group sorting in an entity card
entity_typeintType of the entity (leads/contacts/companies)
is_predefinedintDefines if the group is default for the entity. Such groups cannot be deleted
typestringField group type (linked_group – product groups, custom_field_group – field groups)
fieldsarrayAn array of fields IDs of the group
Path Params
string
required

Type of the entity. Might be: leads/contacts/companies

string
required

ID of the field group

Body Params
string

Field group name

integer

Field group sorting

fields
array of integers

An array of fields to be moved to the group

fields
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json